* {
    margin: 0;
    padding: 0;
}
.footer {
    height: 352px;
    width: 100%;
    background-color: $footer-bgc;
    color: $primary-col;

    .wrapper {
        padding: 0;
        width: 1440px;
        height: 352px;
        margin: 0 auto;
        // background: none;

        .container {
            max-width: 1170px;
            max-height: 100%;
            margin: 0 auto;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            padding-top: 79px;

            .flex-wrap {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                height: 49px;

                .logo {
                    color: $button-color;

                    &__span {
                        @include logo;
                    }
                }

                .form {
                    width: 470px;
                    margin-left: -23px;

                    .mail-form {
                        @include text-low-visible;
                        display: flex;
                        justify-content: space-between;
                        
                        &__input {
                            box-sizing: border-box;
                            padding-left: 15px;
                            width: 270px;
                            height: 48px;
                            @include form-style;
                            // outline: none
                        }

                        &__button {
                            @include primary-button;
                            background-color: $button-2-bgc;
                            color: $button-color;
                        }
                    }
                }

                .social {
                    width: 160px;
                    height: 48px;
                    display: flex;
                    justify-content: space-between;

                    &__link {
                        background-color: $bgc-link;
                        width: 48px;
                        height: 48px;
                        border-radius: 50%;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        color: $button-color;

                        &:hover, &:active {
                            background-color: $button-2-bgc;
                        }
                    }
                }
            }
            .footer-line {
                margin-top: 80px;
                margin-bottom: 56px;
                background-color: $bgc-link;
                mix-blend-mode: normal;
            }
            .bottom {
                display: flex;
                justify-content: space-between;
                align-items: center;
                @include text-low-visible;

                &__copyright {
                    color: $copyright-col;
                }

                .terms-privacy {
                    width: 266px;
                    display: flex;
                    justify-content: space-between;

                    &__link {
                        text-decoration: none;
                        color: $button-color;
                    }
                }
            }
        }
    }
}